Package htsjdk.samtools.util

# Class TerminatorlessBlockCompressedOutputStream

java.lang.Object
java.io.OutputStream
htsjdk.samtools.util.BlockCompressedOutputStream
htsjdk.samtools.util.TerminatorlessBlockCompressedOutputStream

All Implemented Interfaces:
  `LocationAware`, `Closeable`, `Flushable`, `AutoCloseable`

public class TerminatorlessBlockCompressedOutputStream extends BlockCompressedOutputStream
An extension of `BlockCompressedOutputStream` that doesn't write an empty BGZF block at the end of the stream.

## Constructor Summary

Constructors
Constructor
Description
`TerminatorlessBlockCompressedOutputStream(OutputStream os)`

## Method Summary

Modifier and Type
Method
Description
`void`
`close()`
close() must be called in order to flush any remaining buffered bytes.

### Methods inherited from class htsjdk.samtools.util.BlockCompressedOutputStream

`addIndexer, close, flush, getDefaultCompressionLevel, getDefaultDeflaterFactory, getFilePointer, getPosition, maybeBgzfWrapOutputStream, setDefaultCompressionLevel, setDefaultDeflaterFactory, write, write, write`

### Methods inherited from class java.io.OutputStream

`nullOutputStream`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### TerminatorlessBlockCompressedOutputStream

public TerminatorlessBlockCompressedOutputStream(OutputStream os)

## Method Details

### close

public void close() throws IOException
Description copied from class: `BlockCompressedOutputStream`
close() must be called in order to flush any remaining buffered bytes. An unclosed file will likely be defective.

Specified by:
  `close` in interface `AutoCloseable`
Specified by:
  `close` in interface `Closeable`
Overrides:
  `close` in class `BlockCompressedOutputStream`
Throws:
  `IOException`